searchData={"items":[{"type":"module","title":"Cldr.Calendar.Era.Persian","doc":"Implements a `year_of_era/{1, 2}` function to return\nthe year of era and the era number for the\n`Cldr.Calendar.Era.Persian` calendar.\n\nThis module is generated at compile time from\nCLDR era data.","ref":"Cldr.Calendar.Era.Persian.html"},{"type":"function","title":"Cldr.Calendar.Era.Persian.day_of_era/1","doc":"Returns the day of era and the era number\nfor a given date in `iso_days`.","ref":"Cldr.Calendar.Era.Persian.html#day_of_era/1"},{"type":"function","title":"Cldr.Calendar.Era.Persian.year_of_era/1","doc":"Returns the year of era and the era number\nfor a given date in `iso_days`.","ref":"Cldr.Calendar.Era.Persian.html#year_of_era/1"},{"type":"function","title":"Cldr.Calendar.Era.Persian.year_of_era/2","doc":"","ref":"Cldr.Calendar.Era.Persian.html#year_of_era/2"},{"type":"module","title":"Cldr.Calendar.Persian","doc":"The present Iranian calendar was legally adopted on 31\nMarch 1925, under the early Pahlavi dynasty. The law\nsaid that the first day of the year should be the\nfirst day of spring in \"the true solar year\", \"as it\nhas been\" ever so. It also fixes the number of days\nin each month, which previously varied by year with\nthe sidereal zodiac.\n\nIt revived the ancient Persian names, which are still\nused. It specifies the origin of the calendar to be\nthe Hegira of Muhammad from Mecca to Medina in 622 CE).","ref":"Cldr.Calendar.Persian.html"},{"type":"function","title":"Cldr.Calendar.Persian.calendar_base/0","doc":"Identifies whether this calendar is month\nor week based.","ref":"Cldr.Calendar.Persian.html#calendar_base/0"},{"type":"function","title":"Cldr.Calendar.Persian.calendar_year/3","doc":"Returns the calendar year as displayed\non rendered calendars.","ref":"Cldr.Calendar.Persian.html#calendar_year/3"},{"type":"function","title":"Cldr.Calendar.Persian.cldr_calendar_type/0","doc":"Defines the CLDR calendar type for this calendar.\n\nThis type is used in support of `Cldr.Calendar.\nlocalize/3`.","ref":"Cldr.Calendar.Persian.html#cldr_calendar_type/0"},{"type":"function","title":"Cldr.Calendar.Persian.cyclic_year/3","doc":"Returns the cyclic year as displayed\non rendered calendars.","ref":"Cldr.Calendar.Persian.html#cyclic_year/3"},{"type":"function","title":"Cldr.Calendar.Persian.date_from_iso_days/1","doc":"Returns a `{year, month, day}` calculated from\nthe number of `iso_days`.","ref":"Cldr.Calendar.Persian.html#date_from_iso_days/1"},{"type":"function","title":"Cldr.Calendar.Persian.date_to_iso_days/3","doc":"Returns the number of days since the calendar\nepoch for a given `year-month-day`","ref":"Cldr.Calendar.Persian.html#date_to_iso_days/3"},{"type":"function","title":"Cldr.Calendar.Persian.day_of_era/3","doc":"Calculates the day and era from the given\n`year`, `month`, and `day`.\n\nBy default we consider on two eras: before the epoch\nand on-or-after the epoch.","ref":"Cldr.Calendar.Persian.html#day_of_era/3"},{"type":"function","title":"Cldr.Calendar.Persian.day_of_year/3","doc":"Calculates the day of the year from the given\n`year`, `month`, and `day`.","ref":"Cldr.Calendar.Persian.html#day_of_year/3"},{"type":"function","title":"Cldr.Calendar.Persian.days_in_month/1","doc":"Returns how many days there are in the given month.\n\nMust be implemented in derived calendars because\nwe cannot know what the calendar format is.","ref":"Cldr.Calendar.Persian.html#days_in_month/1"},{"type":"function","title":"Cldr.Calendar.Persian.days_in_month/2","doc":"Returns how many days there are in the given year\nand month.","ref":"Cldr.Calendar.Persian.html#days_in_month/2"},{"type":"function","title":"Cldr.Calendar.Persian.days_in_week/0","doc":"Returns the number days in a a week.","ref":"Cldr.Calendar.Persian.html#days_in_week/0"},{"type":"function","title":"Cldr.Calendar.Persian.days_in_year/1","doc":"Returns the number days in a given year.\n\nThe year is the number of years since the\nepoch.","ref":"Cldr.Calendar.Persian.html#days_in_year/1"},{"type":"function","title":"Cldr.Calendar.Persian.epoch/0","doc":"","ref":"Cldr.Calendar.Persian.html#epoch/0"},{"type":"function","title":"Cldr.Calendar.Persian.epoch_day_of_week/0","doc":"","ref":"Cldr.Calendar.Persian.html#epoch_day_of_week/0"},{"type":"function","title":"Cldr.Calendar.Persian.extended_year/3","doc":"Returns the extended year as displayed\non rendered calendars.","ref":"Cldr.Calendar.Persian.html#extended_year/3"},{"type":"function","title":"Cldr.Calendar.Persian.first_day_of_week/0","doc":"","ref":"Cldr.Calendar.Persian.html#first_day_of_week/0"},{"type":"function","title":"Cldr.Calendar.Persian.iso_week_of_year/3","doc":"Calculates the ISO week of the year from the\ngiven `year`, `month`, and `day`.\n\nBy default this function always returns\n`{:error, :not_defined}`.","ref":"Cldr.Calendar.Persian.html#iso_week_of_year/3"},{"type":"function","title":"Cldr.Calendar.Persian.last_day_of_week/0","doc":"","ref":"Cldr.Calendar.Persian.html#last_day_of_week/0"},{"type":"function","title":"Cldr.Calendar.Persian.leap_year?/1","doc":"Returns if the given year is a leap year.\n\nSince this calendar is observational we\ncalculate the start of successive years\nand then calcualate the difference in\ndays to determine if its a leap year.","ref":"Cldr.Calendar.Persian.html#leap_year?/1"},{"type":"function","title":"Cldr.Calendar.Persian.month/2","doc":"Returns a `Date.Range.t` representing\na given month of a year.","ref":"Cldr.Calendar.Persian.html#month/2"},{"type":"function","title":"Cldr.Calendar.Persian.month_of_year/3","doc":"Returns the month of the year from the given\n`year`, `month`, and `day`.","ref":"Cldr.Calendar.Persian.html#month_of_year/3"},{"type":"function","title":"Cldr.Calendar.Persian.months_in_leap_year/0","doc":"Returns the number of months in a leap year.","ref":"Cldr.Calendar.Persian.html#months_in_leap_year/0"},{"type":"function","title":"Cldr.Calendar.Persian.months_in_ordinary_year/0","doc":"Returns the number of months in a normal year.","ref":"Cldr.Calendar.Persian.html#months_in_ordinary_year/0"},{"type":"function","title":"Cldr.Calendar.Persian.months_in_year/1","doc":"Returns the number of months in a\ngiven `year`.","ref":"Cldr.Calendar.Persian.html#months_in_year/1"},{"type":"function","title":"Cldr.Calendar.Persian.naive_datetime_from_iso_days/1","doc":"Converts the `t:Calendar.iso_days` format to the\ndatetime format specified by this calendar.","ref":"Cldr.Calendar.Persian.html#naive_datetime_from_iso_days/1"},{"type":"function","title":"Cldr.Calendar.Persian.naive_datetime_to_iso_days/7","doc":"Returns the `t:Calendar.iso_days` format of\nthe specified date.","ref":"Cldr.Calendar.Persian.html#naive_datetime_to_iso_days/7"},{"type":"function","title":"Cldr.Calendar.Persian.new_year_gregorian/1","doc":"Returns the Gregorian date of the\nPersian new year for a given\nGregorian year","ref":"Cldr.Calendar.Persian.html#new_year_gregorian/1"},{"type":"function","title":"Cldr.Calendar.Persian.new_year_on_or_before/1","doc":"","ref":"Cldr.Calendar.Persian.html#new_year_on_or_before/1"},{"type":"function","title":"Cldr.Calendar.Persian.periods_in_year/1","doc":"Returns the number of periods in a given\n`year`. A period corresponds to a month\nin month-based calendars and a week in\nweek-based calendars.","ref":"Cldr.Calendar.Persian.html#periods_in_year/1"},{"type":"function","title":"Cldr.Calendar.Persian.plus/6","doc":"Adds an `increment` number of `date_part`s\nto a `year-month-day`.\n\n`date_part` can be `:months` only.","ref":"Cldr.Calendar.Persian.html#plus/6"},{"type":"function","title":"Cldr.Calendar.Persian.quarter/2","doc":"Returns a `Date.Range.t` representing\na given quarter of a year.","ref":"Cldr.Calendar.Persian.html#quarter/2"},{"type":"function","title":"Cldr.Calendar.Persian.quarter_of_year/3","doc":"Returns the quarter of the year from the given\n`year`, `month`, and `day`.","ref":"Cldr.Calendar.Persian.html#quarter_of_year/3"},{"type":"function","title":"Cldr.Calendar.Persian.related_gregorian_year/3","doc":"Returns the related gregorain year as displayed\non rendered calendars.","ref":"Cldr.Calendar.Persian.html#related_gregorian_year/3"},{"type":"function","title":"Cldr.Calendar.Persian.valid_date?/3","doc":"Determines if the `date` given is valid according to\nthis calendar.","ref":"Cldr.Calendar.Persian.html#valid_date?/3"},{"type":"function","title":"Cldr.Calendar.Persian.week/2","doc":"Returns a `Date.Range.t` representing\na given week of a year.","ref":"Cldr.Calendar.Persian.html#week/2"},{"type":"function","title":"Cldr.Calendar.Persian.week_of_month/3","doc":"Calculates the week of the year from the given\n`year`, `month`, and `day`.\n\nBy default this function always returns\n`{:error, :not_defined}`.","ref":"Cldr.Calendar.Persian.html#week_of_month/3"},{"type":"function","title":"Cldr.Calendar.Persian.week_of_year/3","doc":"Calculates the week of the year from the given\n`year`, `month`, and `day`.\n\nBy default this function always returns\n`{:error, :not_defined}`.","ref":"Cldr.Calendar.Persian.html#week_of_year/3"},{"type":"function","title":"Cldr.Calendar.Persian.weeks_in_year/1","doc":"Returns the number of weeks in a\ngiven `year`.","ref":"Cldr.Calendar.Persian.html#weeks_in_year/1"},{"type":"function","title":"Cldr.Calendar.Persian.year/1","doc":"Returns a `Date.Range.t` representing\na given year.","ref":"Cldr.Calendar.Persian.html#year/1"},{"type":"function","title":"Cldr.Calendar.Persian.year_end_gregorian/1","doc":"Returns the Gregorian date of the\nPersian last day of a given\nGregorian year","ref":"Cldr.Calendar.Persian.html#year_end_gregorian/1"},{"type":"function","title":"Cldr.Calendar.Persian.year_of_era/1","doc":"Calculates the year and era from the given `year`.","ref":"Cldr.Calendar.Persian.html#year_of_era/1"},{"type":"function","title":"Cldr.Calendar.Persian.year_of_era/3","doc":"Calculates the year and era from the given `date`.","ref":"Cldr.Calendar.Persian.html#year_of_era/3"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}